/** 处理的包名 */
export declare const libraryName = "@ad/r-ui";
/** 额外的react引用 */
export declare const reactSpecifiersName: string[];
/** useMobile */
export declare const ruiExtraSpecifier = "useMobile";
/** 非组件用法的引入，不做特殊处理 */
export declare const ruiSpecifiersName: string[];
/** 动态加载组件模板 */
export declare const componentTemplate = "\n\tconst COMPONENT_NAME = (props) => {\n\t\tconst isMobile = useMobile()\n\n\t\tif (isMobile) {\n\t\t\tconst M_COMP_VAR = lazy(() => M_IMPORT)\n\t\t\treturn <Suspense fallback={<div>loading~~</div>}>\n\t\t\t\t<M_COMP_TAG {...props} />\n\t\t\t</Suspense>\n\t\t}\n\n\t\tconst PC_COMP_VAR = lazy(() => PC_IMPORT)\n\t\treturn (\n\t\t\t<Suspense fallback={<div>loading~~</div>}>\n\t\t\t\t<PC_COMP_TAG {...props} />\n\t\t\t</Suspense>\n\t\t)\n\t}\n";
